Get list of headers for given module - Fabric
Get list of headers for given module
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/exports/headers-list \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
import requests
url = "https://prod01.oms.fabric.inc/api/v2/exports/headers-list"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/exports/headers-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes
200400404500
Example Response
{
"header1": true,
"header2": true
}
Error Responses
{
"message": "Bad Request"
}
{
"message": "Not a valid module name"
}
{
"message": "Internal Server Error"
}
Authorizations
Authorization
- Type:
string - Location:
header - Requirement: Required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
x-site-context- Type:
string - Requirement: Required
- Description: The
x-site-contextheader is a JSON object that contains information about the source you wish to pull from. The mandatoryaccountis the 24 character identifier found in Copilot. Thechannel(Sales channel ID),stage(environment name), anddateattributes can be used to further narrow the scope of your data source.
- Type:
Example:
{"date": "2023-01-01T00:00:00.000Z", "channel": 12, "account": "1234abcd5678efgh9ijklmno","stage":"production"}
Query Parameters
module- Type:
string - Requirement: Required
- Type:
Response
- 200
application/json
List of headers.